
from odoo import models


class AppointmentInvite(models.Model):
    _inherit = "appointment.type"

    def unlink(self):
        fallback_invite_ids = [
            self.env["ir.model.data"]._xmlid_to_res_id(fallback_invite_xmlid)
            for fallback_invite_xmlid in (
                "openerp_website.appointment_invoice_pr_default_schedule_a_meeting",
                "openerp_website.appointment_invoice_ds_default_schedule_a_meeting",
            )
        ]
        fallback_invite_ids = [id_ for id_ in fallback_invite_ids if id_]
        if fallback_invite_ids:
            # do not allow to unlink "country_fallback" appointment.invite
            # as it's used to allow booking appointment (aka "Schedule a Meeting")
            # from homepage (and co.) for countries that does not have a dedicated
            # (DS/PR) appointment.type
            self = self - self.browse(fallback_invite_ids)
        return super().unlink()
